package me.km.snuviscript;

public class DummyScriptBank implements IScriptBank {
    @Override
    public void setVar(String value, String var, int playerId) {
    }

    @Override
    public void deleteVar(String var, int playerId) {
    }

    @Override
    public Object getVar(String var, int playerId, Object error) {
        return error;
    }

    @Override
    public Object getVar(String var, int playerId) {
        return null;
    }

    @Override
    public void addMapElement(String map, String key, String value) {
    }

    @Override
    public void removeMapElement(String map, String key) {
    }

    @Override
    public void removeMap(String map) {
    }

    @Override
    public Object getMapValue(String map, String key) {
        return null;
    }

    @Override
    public void addDualMapElement(String map, String key, String key2, String value) {
    }

    @Override
    public void removeDualMapElement(String map, String key) {
    }

    @Override
    public void removeDualMap(String map) {
    }

    @Override
    public void removeDualMapElement(String map, String key, String key2) {
    }

    @Override
    public Object getDualMapValue(String map, String key, String key2) {
        return null;
    }
}
